package org.jvending.provisioning.config;

import junit.framework.TestCase;

import org.jvending.registry.RepositoryRegistry;

import javax.provisioning.matcher.DimensionMatcher;
import javax.provisioning.matcher.StringMatcher;

public class AttributeMatcherRepositoryTest extends BaseConfig {

    private AttributeMatcherRepository matcherRepository;

    public void setUp() {
        super.setUp();
        matcherRepository = (AttributeMatcherRepository) repositoryRegistry.find("matchers-config");
        assertNotNull("Matcher Repository is null", matcherRepository);
    }

    public void testDimensionMatcher() {
        DimensionMatcher matcher = (DimensionMatcher) matcherRepository.getMatcherFor("HardwarePlatform.ScreenSize");
        assertNotNull("Matcher is null: Name = HardwarePlatform.ScreenSize", matcher);
        assertEquals("Incorrect value for allMustMatch", false, matcher.getAllMustMatch());
    }

    public void testStringMatcher() {
        StringMatcher stringMatcher =
                (StringMatcher) matcherRepository.getMatcherFor("SoftwarePlatform.CcppAccept-Charset");
        assertNotNull("Matcher is null", stringMatcher);
        assertEquals("Incorrect value for case insensitive", true, stringMatcher.getCaseInsensitive());
    }

}
