package org.jvending.provisioning.config;

import junit.framework.TestCase;

public class StockingHandlerRepositoryTest extends BaseConfig {

    private StockingHandlersRepository stockingHandlersRepository;

    public void setUp() {
        super.setUp();
        stockingHandlersRepository = (StockingHandlersRepository) repositoryRegistry.find("stocking-handlers");
        assertNotNull("StockingHandlers Repository is null", stockingHandlersRepository);
    }

    public void testHandlerRepositoriesNotNull() {
        StockingHandlerRepository genericHandlerRepository =
                stockingHandlersRepository.getStockingHandlerRepository("GENERIC");
        assertNotNull("StockingHandler repository is null: Name = GENERIC", genericHandlerRepository);

        StockingHandlerRepository generic2HandlerRepository =
                stockingHandlersRepository.getStockingHandlerRepository("GENERIC2");
        assertNotNull("StockingHandler repository is null: Name = GENERIC2", generic2HandlerRepository);
    }

    public void testHandlerRepositoryIsNull() {
        StockingHandlerRepository bogusHandlerRepository =
                stockingHandlersRepository.getStockingHandlerRepository("BOGUS");
        assertNull("StockingHandler repository is not null: Name = BOGUS", bogusHandlerRepository);
    }
}
